;;;; type-checks-atoms.scm  -*- Scheme -*-
;;;; Kon Lovett, Jun '18

(module type-checks-atoms ()

(import (chicken module))			; for `export' & `reexport'

(import type-checks-numbers)
(reexport type-checks-numbers)

(export
  check-symbol
  check-keyword
  check-char
  check-boolean)

(import scheme)
(import (chicken base))			; for `include'
(import (chicken type))
(import (only (chicken keyword) keyword?))
(import type-errors-atoms type-checks-basic)

(: check-symbol (* * #!optional * -> symbol))
(: check-keyword (* * #!optional * -> keyword))
(: check-char (* * #!optional * -> char))
(: check-boolean (* * #!optional * -> boolean))

(include "type-checks-atoms.impl.scm")

) ;module type-checks-atoms
